Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162371 - is used uninitialized in this function
Summary: is used uninitialized in this function
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libunwind
Version: rawhide
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-03 12:04 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: libunwind-0.99-0.2.frysk20070405cvs.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-10 15:21:24 UTC


Attachments (Terms of Use)

Description David Binderman 2005-07-03 12:04:14 UTC
Description of problem:

I just tried to compile package libunwind-0.98.2-3 from Redhat
Fedora Core development tree with the gcc 4.0.0 compiler and
the compiler flag -Wall.

The compiler said

test-ptrace-misc.c:77: warning: 'arr[0]' is used uninitialized in this function

The source code is

  int arr[1];
  uintptr_t r;

  /* This is a vain attempt to use up lots of registers to force
     the frame-chain info to be saved on the memory stack on ia64.
     It happens to work with gcc v3.3.4 and gcc v3.4.1 but perhaps
     not with any other compiler.  */
  r = (uintptr_t) malloc(f (arr[0])

I agree with the compiler. Suggest initialise local variable arr[ 0]
before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jesse Keating 2006-10-26 18:31:18 UTC
No idea why this was assigned to me, reassigning to the component owner.


Note You need to log in before you can comment on or make changes to this bug.